struct FormattedFile;
EXTERN RootPtr LookupSpecial(Symbol * name);
EXTERN void PrintExpr(Expr *, FILE *f);
EXTERN unsigned VLength(RootPtr val);
EXTERN RootPtr VSubSeq(RootPtr, int, unsigned);
EXTERN void VString(RootPtr, char**, size_t*);
EXTERN struct Any GetField(void *, struct Field*);
struct _CFile_;
struct TraverseData;
extern void SetField(RootPtr src, void *dst, struct Field *fld);
void AllocVars(struct Declaration *decl_list, void *data);
